import { DynamoDB, DynamoDBClient } from '@aws-sdk/client-dynamodb';
import { DynamoPaginationOptions } from '../dto/request/dynamo-pagination.options';
import { DynamoPaginationRequest } from '../dto/request/dynamo-pagination.request';
import { DynamoConfig } from '../dto/data/dynamo-config';
import { DynamoWriteItemRequest } from '../dto/request/dynamo-write-item.request';
import { DynamoExpressionAttributeNames, DynamoObject } from '../dto/data/dynamo-object';
import { DynamoQueryResponse } from '../dto/response/dynamo-query.response';
export declare class DynamoService {
    private readonly config;
    protected dynamoClient: DynamoDBClient;
    protected dynamodb: DynamoDB;
    constructor(config?: DynamoConfig);
    getItem<T>(table: string, key: DynamoObject): Promise<T>;
    putItem(table: string, item: any): Promise<void>;
    deleteItem(table: string, key: DynamoObject): Promise<void>;
    simpleUpdateItem(table: string, key: DynamoObject, item: DynamoObject): Promise<import("@aws-sdk/client-dynamodb").UpdateItemCommandOutput>;
    updateItem(table: string, key: DynamoObject, updateExpression: string, expressionAttributeValues?: DynamoObject, expressionAttributeNames?: DynamoExpressionAttributeNames): Promise<import("@aws-sdk/client-dynamodb").UpdateItemCommandOutput>;
    query(table: string, expression: string, conditionExpression: string, expressionValues?: any[], unmarshalling?: boolean): Promise<DynamoQueryResponse>;
    queryOne(table: string, expression: string, conditionExpression: string, expressionValues?: any[], unmarshalling?: boolean): Promise<any>;
    transactWriteItems(items: DynamoWriteItemRequest[]): Promise<void>;
    getPaginated(options: DynamoPaginationOptions, params: DynamoPaginationRequest, logs?: boolean): Promise<any>;
}
